## EntangleThumbnailLoader

EntangleThumbnailLoader — A object for loading thumbnails of images

## Functions

EntangleThumbnailLoader * | entangle_thumbnail_loader_new ()

## Properties

int | height | Read / Write / Construct Only
int | width | Read / Write / Construct Only

## Types and Values

#define | ENTANGLE_TYPE_THUMBNAIL_LOADER
| EntangleThumbnailLoader

## Object Hierarchy

        GObject
        ╰── EntanglePixbufLoader
            ╰── EntangleThumbnailLoader

## Description

The EntangleThumbnailLoader object can load thumbnails from EntangleImage media files.

## Functions

### entangle_thumbnail_loader_new ()

    EntangleThumbnailLoader *
    entangle_thumbnail_loader_new (int width,
                                   int height);

## Types and Values

### ENTANGLE_TYPE_THUMBNAIL_LOADER

    #define ENTANGLE_TYPE_THUMBNAIL_LOADER (entangle_thumbnail_loader_get_type())

### EntangleThumbnailLoader

    typedef struct _EntangleThumbnailLoader EntangleThumbnailLoader;

## Property Details

### The `“height”` property

      “height”                   int

Maximum thumbnail height.

Owner: EntangleThumbnailLoader

Flags: Read / Write / Construct Only

Allowed values: [1,400]

Default value: 128

### The `“width”` property

      “width”                    int

Maximum thumbnail width.

Owner: EntangleThumbnailLoader

Flags: Read / Write / Construct Only

Allowed values: [1,400]

Default value: 128